Bug 116867

Summary: [GTK][WK2] SIGSEV in WebKit::WebPageContextMenuClient::customContextMenuItemSelected
Product: WebKit Reporter: Sergio Villar Senin <svillar>
Component: WebKitGTKAssignee: Sergio Villar Senin <svillar>
Status: RESOLVED FIXED    
Severity: Major CC: andersca, bdakin, cgarcia, gustavo, mrobinson, svillar, thorton, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Sergio Villar Senin 2013-05-28 07:23:07 PDT
This is the backtrace I got:

Program received signal SIGSEGV, Segmentation fault.
0x00000000017bd570 in ?? ()
(gdb) bt
#0  0x00000000017bd570 in ?? ()
#1  0x00007ffff21c9b34 in WebKit::WebPageContextMenuClient::customContextMenuItemSelected () from /opt/gnome3/lib64/libwebkit2gtk-3.0.so.0
#2  0x00007ffff21dcc4e in WebKit::WebPageProxy::contextMenuItemSelected () from /opt/gnome3/lib64/libwebkit2gtk-3.0.so.0
#3  0x00007ffff2148c16 in contextMenuItemActivatedCallback () from /opt/gnome3/lib64/libwebkit2gtk-3.0.so.0
#4  0x00007fffed5defc0 in g_cclosure_marshal_VOID__VOID (closure=0x1a41710, return_value=0x0, n_param_values=1, param_values=0x7fffffffc230, invocation_hint=0x7fffffffc160, marshal_data=0x0) at gmarshal.c:85
#5  0x00007fffed5dbf4d in g_closure_invoke (closure=0x1a41710, return_value=0x0, n_param_values=1, param_values=0x7fffffffc230, invocation_hint=0x7fffffffc160) at gclosure.c:777
#6  0x00007fffed5fa019 in signal_emit_unlocked_R (node=0x141fc40, detail=0, instance=0x1429200, emission_return=0x0, instance_and_params=0x7fffffffc230) at gsignal.c:3582
#7  0x00007fffed5f9278 in g_signal_emit_valist (instance=0x1429200, signal_id=214, detail=0, var_args=0x7fffffffc4e8) at gsignal.c:3326
#8  0x00007fffed5f97c0 in g_signal_emit (instance=0x1429200, signal_id=214, detail=0) at gsignal.c:3382
#9  0x00007fffef4061b7 in _gtk_action_emit_activate (action=0x1429200) at gtkaction.c:801
#10 0x00007fffef4062a5 in gtk_action_activate (action=0x1429200) at gtkaction.c:832
#11 0x00007fffef591b78 in gtk_real_menu_item_activate (menu_item=0x1a33790) at gtkmenuitem.c:1782
#12 0x00007fffed5df05b in g_cclosure_marshal_VOID__VOIDv (closure=0x715ae0, return_value=0x0, instance=0x1a33790, args=0x7fffffffca78, marshal_data=0x7fffef591b26 <gtk_real_menu_item_activate>, n_params=0, param_types=0x0) at gmarshal.c:115
#13 0x00007fffed5dc622 in g_type_class_meta_marshalv (closure=0x715ae0, return_value=0x0, instance=0x1a33790, args=0x7fffffffca78, marshal_data=0x3f8, n_params=0, param_types=0x0) at gclosure.c:997
#14 0x00007fffed5dc1e5 in _g_closure_invoke_va (closure=0x715ae0, return_value=0x0, instance=0x1a33790, args=0x7fffffffca78, n_params=0, param_types=0x0) at gclosure.c:840
#15 0x00007fffed5f85f7 in g_signal_emit_valist (instance=0x1a33790, signal_id=76, detail=0, var_args=0x7fffffffca78) at gsignal.c:3234
#16 0x00007fffed5f97c0 in g_signal_emit (instance=0x1a33790, signal_id=76, detail=0) at gsignal.c:3382
#17 0x00007fffef731bee in gtk_widget_activate (widget=0x1a33790) at gtkwidget.c:7092
#18 0x00007fffef596d5e in gtk_menu_shell_activate_item (menu_shell=0x1593340, menu_item=0x1a33790, force_deactivate=1) at gtkmenushell.c:1433
#19 0x00007fffef595720 in gtk_menu_shell_button_release (widget=0x1593340, event=0x188b170) at gtkmenushell.c:834
#20 0x00007fffef5840db in gtk_menu_button_release (widget=0x1593340, event=0x188b170) at gtkmenu.c:3391
#21 0x00007fffef56cf44 in _gtk_marshal_BOOLEAN__BOXEDv (closure=0x709e10, return_value=0x7fffffffcf80, instance=0x1593340, args=0x7fffffffd118, marshal_data=0x7fffef583f46 <gtk_menu_button_release>, n_params=1, param_types=0x709e40) at gtkmarshalers.c:130
Comment 1 Sergio Villar Senin 2013-07-02 11:15:40 PDT
Created attachment 205928 [details]
Patch
Comment 2 Carlos Garcia Campos 2013-07-03 00:10:46 PDT
Comment on attachment 205928 [details]
Patch

Thanks or fixing this! Patch looks good.
Comment 3 Sergio Villar Senin 2013-07-03 10:36:04 PDT
Comment on attachment 205928 [details]
Patch

Clearing flags on attachment: 205928

Committed r152367: <http://trac.webkit.org/changeset/152367>
Comment 4 Sergio Villar Senin 2013-07-03 10:36:17 PDT
All reviewed patches have been landed.  Closing bug.